Bug 146417 - Uninitialized pointer leads to instability in snmpd
Summary: Uninitialized pointer leads to instability in snmpd
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-27 23:36 UTC by Neal Groothuis
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 12:56:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to initialize variables (1.08 KB, patch)
2005-01-27 23:38 UTC, Neal Groothuis
no flags Details | Diff

Description Neal Groothuis 2005-01-27 23:36:54 UTC
Description of problem:
The variable conf_list in interfaces.c and hr_disk.c is not initialized, leading to crashes.

Version-Release number of selected component (if applicable):
5.1.2-11

How reproducible:
?  Doesn't reproduce on an out-of-the box FC3 install; does on a stripped down version 
running 2.6.10 kernel.

Steps to Reproduce:
1. Run snmpd. 
2. Watch segfault.
3.
  
Actual results:
Segfault.

Expected results:
No segfault. :)

Additional info:

Comment 1 Neal Groothuis 2005-01-27 23:38:15 UTC
Created attachment 110335 [details]
patch to initialize variables

Comment 2 Radek Vokal 2005-01-31 12:56:31 UTC
Fixed in net-snmp-5.2.1-1


Note You need to log in before you can comment on or make changes to this bug.